Compiler Property Definition

Option | Description
jopaz.compiler.adaname=literal | This property informs the compiler if an alternative name other than CALL 'ADABAS' is used for the Adabas call in the COBOL code. The alternative call name is then translated during compilation so that calls for Jopaz for Adabas are executed without errors. The value of this property must be equal to the exact name of the alternative call.
jopaz.compiler.command_line_linkage= | This property is necessary if parameters are to be passed to the linkage section of the application when translating using the ARGS statement in the JCL. Valid values are: 1 – The command line parameters are passed to the linkage section. 0 – The command line parameters are not included in the linkage section. The default value is 1. The command line is passed to the main program using the following parameter structure: LINKAGE SECTION. 01 CmdLine. 03 CmdLineLen pic 9(4)comp. 03 CmddLineData pic x(256). In the JCL call to run the compiled application, the parameters must be passed in the following way: //JVMEXEC EXEC PROC=JVMPRC86,REGSIZE=512M,LOGLVL='', // JAVACLS='PGMHEL'',ARGS='TestParameter'
jopaz.use_for_debugging= | This property controls the USE FOR DEBUGGING declarative, which shows how many times a routine runs. Valid values are: 1 – Enable the USE FOR DEBUGGING declarative for programs compiled with the -cv option. 0 – The USE FOR DEBUGGING declarative is disabled. The default value is 0. This option has a big impact on performance, so it is recommended to be enabled only if you plan to debug the application you are compiling with certainty. Note: You must set the options -d or -dx when enabling this debugging option.
jopaz.compiler.mvs_source= | This property allows you to directly specify a physical sequential dataset or a dataset member as a source for the compilation. Valid values are: 1 – Enable the source specification using the DSN. 0 – Disable the source specification using the DSN. The default value is 1. You must specify the complete dataset name in the DD card with the name JPZSRC. For example: //JPZSRC DD DISP=SHR,DSN=HLQ.MY.DATASET(PGMHEL) If you set the value of this property to 0, you need to specify the full path of the source in a Unix System Services directory in the ARGS statement of the JCL.
jopaz.compiler.mvs_syslib= | This property allows you to specify a dataset directly as the copybook library for the compilation. Valid values are: 1 – Enable the specification of copybook library using the DSN. 0 – Disable the specification of copybook library using the DSN The default value is 1. The complete dataset name must be specified in the DD card with the name SYSLIB. If you want to use a directory from the Unix System Services as a copybook library, this property must be set to 0 and the path to the directory must be specified using the compiler option -sp.
jopaz.list_location= | This property determines the location where the compiler listing is generated or output. Valid values are: 1 – The listing is printed to the STDOUT job class. 2 – A listing file with the name of the source is placed in the Unix System Services directory, which can be determined with the compiler option -lo. 3 – Both options are used (STDOUT and UNIX directory). The default value is 1.
jopaz.floating_point_format= | This property specifies the format used to store Float and Double values. Under -cv compiler option this property affects also COMP-1 and COMP-2 data items, as they arere treated as Float and Double respectively. Valid values are: ibm hfp ieee 754 The default value is ibm hfp.
jopaz.compiler.esql.db2= | This compiler property informs the compiler that the database used in the application is IBM Db2. Valid values are: 1 – The compiler generates specific code to return the result sets in the same format as the IBM DB2 pre-compiler. In particular, it supports the SQLDA structure and the use of date, time, and timestamp as function parameters. 0 – No IBM Db2 specific rules are applied during compilation. The default value is 1.